%%%---------------------------------------
%%% module      : data_dun_multi_team
%%% description : 多人副本组队配置
%%%
%%%---------------------------------------
-module(data_dun_multi_team).
-compile(export_all).
-include("dungeon_multi.hrl").



get(61,1,8001) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 1,dun_id = 8001,type_name = "装备副本",sub_type_name = "装备副本（新手）",scene = 8000,condition = [{lv,96}]};

get(61,1,8002) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 1,dun_id = 8002,type_name = "装备副本",sub_type_name = "装备副本（新手）",scene = 8000,condition = [{lv,96}]};

get(61,1,8003) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 1,dun_id = 8003,type_name = "装备副本",sub_type_name = "装备副本（新手）",scene = 8000,condition = [{lv,96}]};

get(61,1,8004) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 1,dun_id = 8004,type_name = "装备副本",sub_type_name = "装备副本（新手）",scene = 8000,condition = [{lv,96}]};

get(61,2,8005) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 2,dun_id = 8005,type_name = "装备副本",sub_type_name = "装备副本（轻松）",scene = 8000,condition = [{lv,140}]};

get(61,2,8006) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 2,dun_id = 8006,type_name = "装备副本",sub_type_name = "装备副本（轻松）",scene = 8000,condition = [{lv,140}]};

get(61,2,8007) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 2,dun_id = 8007,type_name = "装备副本",sub_type_name = "装备副本（轻松）",scene = 8000,condition = [{lv,140}]};

get(61,2,8008) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 2,dun_id = 8008,type_name = "装备副本",sub_type_name = "装备副本（轻松）",scene = 8000,condition = [{lv,140}]};

get(61,3,8009) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 3,dun_id = 8009,type_name = "装备副本",sub_type_name = "装备副本（标准）",scene = 8000,condition = [{lv,180}]};

get(61,3,8010) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 3,dun_id = 8010,type_name = "装备副本",sub_type_name = "装备副本（标准）",scene = 8000,condition = [{lv,180}]};

get(61,3,8011) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 3,dun_id = 8011,type_name = "装备副本",sub_type_name = "装备副本（标准）",scene = 8000,condition = [{lv,180}]};

get(61,3,8012) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 3,dun_id = 8012,type_name = "装备副本",sub_type_name = "装备副本（标准）",scene = 8000,condition = [{lv,180}]};

get(61,4,8013) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 4,dun_id = 8013,type_name = "装备副本",sub_type_name = "装备副本（挑战）",scene = 8000,condition = [{lv,230}]};

get(61,4,8014) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 4,dun_id = 8014,type_name = "装备副本",sub_type_name = "装备副本（挑战）",scene = 8000,condition = [{lv,230}]};

get(61,4,8015) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 4,dun_id = 8015,type_name = "装备副本",sub_type_name = "装备副本（挑战）",scene = 8000,condition = [{lv,230}]};

get(61,4,8016) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 4,dun_id = 8016,type_name = "装备副本",sub_type_name = "装备副本（挑战）",scene = 8000,condition = [{lv,230}]};

get(61,5,8017) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 5,dun_id = 8017,type_name = "装备副本",sub_type_name = "装备副本（熟手）",scene = 8000,condition = [{lv,275}]};

get(61,5,8018) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 5,dun_id = 8018,type_name = "装备副本",sub_type_name = "装备副本（熟手）",scene = 8000,condition = [{lv,275}]};

get(61,5,8019) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 5,dun_id = 8019,type_name = "装备副本",sub_type_name = "装备副本（熟手）",scene = 8000,condition = [{lv,275}]};

get(61,5,8020) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 5,dun_id = 8020,type_name = "装备副本",sub_type_name = "装备副本（熟手）",scene = 8000,condition = [{lv,275}]};

get(61,6,8021) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 6,dun_id = 8021,type_name = "装备副本",sub_type_name = "装备副本（艰难）",scene = 8000,condition = [{lv,320}]};

get(61,6,8022) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 6,dun_id = 8022,type_name = "装备副本",sub_type_name = "装备副本（艰难）",scene = 8000,condition = [{lv,320}]};

get(61,6,8023) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 6,dun_id = 8023,type_name = "装备副本",sub_type_name = "装备副本（艰难）",scene = 8000,condition = [{lv,320}]};

get(61,6,8024) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 6,dun_id = 8024,type_name = "装备副本",sub_type_name = "装备副本（艰难）",scene = 8000,condition = [{lv,320}]};

get(61,7,8025) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 7,dun_id = 8025,type_name = "装备副本",sub_type_name = "装备副本（苦痛）",scene = 8000,condition = [{lv,370}]};

get(61,7,8026) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 7,dun_id = 8026,type_name = "装备副本",sub_type_name = "装备副本（苦痛）",scene = 8000,condition = [{lv,370}]};

get(61,7,8027) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 7,dun_id = 8027,type_name = "装备副本",sub_type_name = "装备副本（苦痛）",scene = 8000,condition = [{lv,370}]};

get(61,7,8028) ->
    #base_dun_multi_team_cfg{type = 61,sub_type = 7,dun_id = 8028,type_name = "装备副本",sub_type_name = "装备副本（苦痛）",scene = 8000,condition = [{lv,370}]};

get(_Type,_Subtype,_Dunid) ->
    [].

get_all_type() ->
    [61].


get_sub_type(61) ->
    [1,2,3,4,5,6,7];

get_sub_type(_Type) ->
    [].

get_type_duns(61,1) ->
    [8001,8002,8003,8004];

get_type_duns(61,2) ->
    [8005,8006,8007,8008];

get_type_duns(61,3) ->
    [8009,8010,8011,8012];

get_type_duns(61,4) ->
    [8013,8014,8015,8016];

get_type_duns(61,5) ->
    [8017,8018,8019,8020];

get_type_duns(61,6) ->
    [8021,8022,8023,8024];

get_type_duns(61,7) ->
    [8025,8026,8027,8028];

get_type_duns(_Type,_Subtype) ->
    [].


get_dun_act_type(8001) ->
    61;


get_dun_act_type(8002) ->
    61;


get_dun_act_type(8003) ->
    61;


get_dun_act_type(8004) ->
    61;


get_dun_act_type(8005) ->
    61;


get_dun_act_type(8006) ->
    61;


get_dun_act_type(8007) ->
    61;


get_dun_act_type(8008) ->
    61;


get_dun_act_type(8009) ->
    61;


get_dun_act_type(8010) ->
    61;


get_dun_act_type(8011) ->
    61;


get_dun_act_type(8012) ->
    61;


get_dun_act_type(8013) ->
    61;


get_dun_act_type(8014) ->
    61;


get_dun_act_type(8015) ->
    61;


get_dun_act_type(8016) ->
    61;


get_dun_act_type(8017) ->
    61;


get_dun_act_type(8018) ->
    61;


get_dun_act_type(8019) ->
    61;


get_dun_act_type(8020) ->
    61;


get_dun_act_type(8021) ->
    61;


get_dun_act_type(8022) ->
    61;


get_dun_act_type(8023) ->
    61;


get_dun_act_type(8024) ->
    61;


get_dun_act_type(8025) ->
    61;


get_dun_act_type(8026) ->
    61;


get_dun_act_type(8027) ->
    61;


get_dun_act_type(8028) ->
    61;

get_dun_act_type(_Dunid) ->
    0.


get_dun_sub_type(8001) ->
    1;


get_dun_sub_type(8002) ->
    1;


get_dun_sub_type(8003) ->
    1;


get_dun_sub_type(8004) ->
    1;


get_dun_sub_type(8005) ->
    2;


get_dun_sub_type(8006) ->
    2;


get_dun_sub_type(8007) ->
    2;


get_dun_sub_type(8008) ->
    2;


get_dun_sub_type(8009) ->
    3;


get_dun_sub_type(8010) ->
    3;


get_dun_sub_type(8011) ->
    3;


get_dun_sub_type(8012) ->
    3;


get_dun_sub_type(8013) ->
    4;


get_dun_sub_type(8014) ->
    4;


get_dun_sub_type(8015) ->
    4;


get_dun_sub_type(8016) ->
    4;


get_dun_sub_type(8017) ->
    5;


get_dun_sub_type(8018) ->
    5;


get_dun_sub_type(8019) ->
    5;


get_dun_sub_type(8020) ->
    5;


get_dun_sub_type(8021) ->
    6;


get_dun_sub_type(8022) ->
    6;


get_dun_sub_type(8023) ->
    6;


get_dun_sub_type(8024) ->
    6;


get_dun_sub_type(8025) ->
    7;


get_dun_sub_type(8026) ->
    7;


get_dun_sub_type(8027) ->
    7;


get_dun_sub_type(8028) ->
    7;

get_dun_sub_type(_Dunid) ->
    0.


get_all_count(61) ->
    [6];

get_all_count(_Id) ->
    [].

get_count_rewards(61,6,_Day) when _Day >= 1, _Day =< 10 ->
		[{0,450019,1},{4,100003,100},{0,102305,1}];
get_count_rewards(61,6,_Day) when _Day >= 11, _Day =< 9999 ->
		[{0,450019,1},{4,100003,100},{0,102305,1}];
get_count_rewards(_Id,_Count,_Day) ->
    [].

